//
//  EmojiArtDocumentView.swift
//  EmojiArt
//
//  Created by Sameh Fakhouri on 11/8/21.
//

import SwiftUI

struct EmojiArtDocumentView: View {
    
    @ObservedObject var document: EmojiArtDocument






    var body: some View {
        VStack {
            documentBody
            palette
        }
    }
    
    var documentBody: some View {
        Color.yellow
    }

    let defaultEmojiFontSize: CGFloat = 40

    var palette : some View {
        ScrollingEmojisView(emojis: testEmojis)
            .font(.system(size: defaultEmojiFontSize))
    }
    
    let testEmojis = "☎️📞⌚️🎥⏰🕰🪓🔪🔧🔨🛢🔮🌡🪑🏮🛎📔📒📪📫🛏📌📎❤️💛💙🔺🔸🔶▪️🇵🇷🇱🇧🏴󠁧󠁢󠁥󠁮󠁧󠁿🇹🇷🇩🇴🇨🇺⥤➽⬅︎☜$⨜∑ℇ⊆⊇"
}

struct ScrollingEmojisView: View {
    let emojis: String
    
    var body: some View {
        ScrollView(.horizontal) {
            HStack {
                ForEach(emojis.map { String($0) },
                        id: \.self ) { emoji in
                    Text(emoji)
                }
            }
        }
    }
}




















struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        EmojiArtDocumentView(document: EmojiArtDocument())
    }
}
